#!/bin/bash -

#undefine alias
\unalias -a

#disable history
hash -r

# Setting environment
BASEDIR=$(dirname $0)
if [ -f $BASEDIR/pki.conf ]; then
	. $BASEDIR/pki.conf

	if [ -z "$APPBASE" ] || [ -z "$PKIDIR" ] || [ -z "$CONFDIR" ] || [ -z "$LOGDIR" ] || [ -z "$BINDIR" ]; then
		printf "%b" "APPBASE, PKIDIR, LOGDIR, BINDIR and CONFDIR variables must be defined in \"$BASEDIR/pki.conf\"\n" >&2
		printf "%b" "PATH $PATH\n" >&2
		exit 1
	fi

else	
	printf "%b" "Error. File \"$BASEDIR/pki.conf\" not found.\n" >&2
        exit 2
fi

# Creating the directories for the PKI
mkdir $PKIDIR
cd $PKIDIR

echo -e "\n\nCreating the directories for the PKI ...\n"
mkdir $PKIDIR/certs
mkdir $PKIDIR/crl
mkdir $PKIDIR/csr
mkdir $PKIDIR/newcerts
mkdir $PKIDIR/revoked
mkdir $PKIDIR/private
mkdir $PKIDIR/CAchain
echo -e "\nDone.\n"

echo -e "\n\nCreating the log directory for the PKI ...\n"
mkdir $LOGDIR
echo -e "\nDone.\n"

echo -e "\n\nInitializing files ...\n"
chgrp wheel private
chmod 770 private
echo "01" > serial
cp /dev/null index.txt
echo -e "\nDone.\n"

echo -e "\n\nCreating random file ...\n"
dd if=/dev/urandom of=private/.rand bs=1k count=16
echo -e "\nDone.\n"

echo -e "\n\nInitialization Done.\n"
 
