#!/bin/bash -

#disable history
hash -r

# Setting environment
BASEDIR=$(dirname $0)
if [ -f $BASEDIR/pki.conf ]; then
        . $BASEDIR/pki.conf

        if [ -z "$APPBASE" ] || [ -z "$PKIDIR" ] || [ -z "$CONFDIR" ] || [ -z "$LOGDIR" ] || [ -z "$BINDIR" ]; then
                printf "%b" "APPBASE, PKIDIR, LOGDIR, BINDIR and CONFDIR variables must be defined in \"$BASEDIR/pki.conf\"\n" >&2
                printf "%b" "PATH $PATH\n" >&2
                exit 1
        fi

else
        printf "%b" "Error. File \"$BASEDIR/pki.conf\" not found.\n" >&2
        exit 2
fi

# Values set by the installation script
OLD_COUNTRY=MyCountry
OLD_STATE=MyState
OLD_CITY=MyCity
OLD_COMPANY=MyCompany
OLD_OU=MyDepartment
OLD_EMAIL=firstname.lastname@domain.com
OLD_DOMAIN=mycompany.org
OLD_COMMENT="OpenSSL based PKI"

# Define below your own default values
MY_COUNTRY='YourCountry'
MY_STATE='YourState'
MY_CITY='YourCity'
MY_COMPANY='YourCompany'
MY_OU='YourDepartment'
MY_EMAIL='firstname.lastname@domain.com'
MY_DOMAIN='yourcompany.org'
MY_COMMENT="OpenSSL based PKI"


echo -e "\nSetting the Country ..."
/bin/sed -i "s|$OLD_COUNTRY|$MY_COUNTRY|g" $CONFDIR/*.cnf

echo -e "\nSetting the State ..."
/bin/sed -i "s|$OLD_STATE|$MY_STATE|g" $CONFDIR/*.cnf

echo -e "\nSetting the City ..."
/bin/sed -i "s|$OLD_CITY|$MY_CITY|g" $CONFDIR/*.cnf

echo -e "\nSetting the Company ..."
/bin/sed -i "s|$OLD_COMPANY|$MY_COMPANY|g" $CONFDIR/*.cnf

echo -e "\nSetting the Department ..."
/bin/sed -i "s|$OLD_OU|$MY_OU|g" $CONFDIR/*.cnf

echo -e "\nSetting the Email ..."
/bin/sed -i "s|$OLD_EMAIL|$MY_EMAIL|g" $CONFDIR/*.cnf

echo -e "\nSetting the Domain ..."
/bin/sed -i "s|$OLD_DOMAIN|$MY_DOMAIN|g" $CONFDIR/*.cnf

echo -e "\nSetting the Comment ..."
/bin/sed -i "s|$OLD_COMMENT|$MY_COMMENT|g" $CONFDIR/*.cnf

