#!/bin/bash -

#disable history
hash -r

# Setting environment
BASEDIR=$(dirname $0)
if [ -f $BASEDIR/pki.conf ]; then
        . $BASEDIR/pki.conf

        if [ -z "$APPBASE" ] || [ -z "$PKIDIR" ] || [ -z "$CONFDIR" ] || [ -z "$LOGDIR" ] || [ -z "$BINDIR" ]; then
                printf "%b" "APPBASE, PKIDIR, LOGDIR, BINDIR and CONFDIR variables must be defined in \"$BASEDIR/pki.conf\"\n" >&2
                printf "%b" "PATH $PATH\n" >&2
                exit 1
        fi

else
        printf "%b" "Error. File \"$BASEDIR/pki.conf\" not found.\n" >&2
        exit 2
fi

OLDVALUE="OpenSSL based PKI"
NEWVALUE="OpenSSL based PKI"
/bin/sed -i "s|$OLDVALUE|$NEWVALUE|g" $CONFDIR/*.cnf

